import request from '@/utils/request'

// 查询大棚管理列表
export function listAgri(query) {
  return request({
    url: '/assets/agri/list',
    method: 'get',
    params: query
  })
}

// 查询大棚管理详细
export function getAgri(id) {
  return request({
    url: '/assets/agri/' + id,
    method: 'get'
  })
}

// 新增大棚管理
export function addAgri(data) {
  return request({
    url: '/assets/agri',
    method: 'post',
    data: data
  })
}

// 修改大棚管理
export function updateAgri(data) {
  return request({
    url: '/assets/agri',
    method: 'put',
    data: data
  })
}

// 删除大棚管理
export function delAgri(id) {
  return request({
    url: '/assets/agri/' + id,
    method: 'delete'
  })
}

export function findAgriByUser(query) {
  return request({
    url: '/assets/agri/findAgriByUser',
    method: 'get',
    params: query
  })
}
